Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.builder
Class ProcessBuildContext

    java.lang.Object
      org.drools.rule.builder.PackageBuildContext
          org.jbpm.process.builder.ProcessBuildContext

    public class ProcessBuildContext

extends org.drools.rule.builder.PackageBuildContext

Constructor Summary
`ProcessBuildContext(org.drools.compiler.PackageBuilder pkgBuilder, org.drools.rule.Package pkg, Process process, org.drools.lang.descr.BaseDescr processDescr, org.drools.compiler.DialectCompiletimeRegistry dialectRegistry, org.drools.compiler.Dialect defaultDialect)`

Method Summary
`org.drools.compiler.DialectCompiletimeRegistry` | `getDialectRegistry()`
`Process` | `getProcess()`
`org.drools.lang.descr.ProcessDescr` | `getProcessDescr()`
`void` | `setProcess(Process process)`
`void` | `setProcessDescr(org.drools.lang.descr.ProcessDescr processDescr)`

Methods inherited from class org.drools.rule.builder.PackageBuildContext
`addError, addMethod, addWarning, getConfiguration, getCurrentId, getDescrLookups, getDialect, getDialect, getErrors, getInvokerLookups, getInvokers, getMethods, getNextId, getPackageBuilder, getParentDescr, getPkg, getWarnings, init, isTypesafe, setDescrLookups, setDialect, setInvokerLookups, setInvokers, setParentDescr, setTypesafe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProcessBuildContext

    public ProcessBuildContext(org.drools.compiler.PackageBuilder pkgBuilder,
                               org.drools.rule.Package pkg,
                               Process process,
                               org.drools.lang.descr.BaseDescr processDescr,
                               org.drools.compiler.DialectCompiletimeRegistry dialectRegistry,
                               org.drools.compiler.Dialect defaultDialect)

Method Detail

### getProcessDescr

    public org.drools.lang.descr.ProcessDescr getProcessDescr()

### setProcessDescr

    public void setProcessDescr(org.drools.lang.descr.ProcessDescr processDescr)

### getProcess

    public Process getProcess()

### setProcess

    public void setProcess(Process process)

### getDialectRegistry

    public org.drools.compiler.DialectCompiletimeRegistry getDialectRegistry()

  Overrides:
    `getDialectRegistry` in class `org.drools.rule.builder.PackageBuildContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.